Subject: Re: bug#5705: 23.1.93; recursive load error when loading tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 13 Mar 2010 20:54:38 +0100

Chong Yidong <[email-masked]> writes:

> Paul Pogonyshev  writes:
>
>> Sorry, I tried now with 'emacs -Q' and found a corrected way:
>>
>>     M-x ido-mode RET           enable ido
>>     C-x C-f / /                this makes ido load tramp
>>     C-g                        abort loading
>>
>> You need to be quick to hit C-g while tramp is still loading.  After
>> this file opening stops working just as described, at least here.
>
> OK, I see the problem.

Unfortunately, my machine is too fast to interrupt Tramp during loading.
Or I am too old, or too slow; pick whatever you want.

> If you C-g while Tramp is loading, it leaves Tramp in a half-loaded
> state, which screws up all subsequent calls to tramp-tramp-file-p (Lisp
> backtrace below).  The eval-after-load in tramp.el seems to be the
> culprit.
>
> Michael, could you take a look?

Looks to me like a similar problem as bug#1529 and bug#5448. As already
said there, a clean solution requires a new arrangement of Tramp's
package dependencies. This I would like to take out of Emacs 23.2.

Next days, I'll release Tramp 2.1.18 (this is what is bundled with Emacs
23.2). Afterwards, I'll start working on the pending problems dedicated
for after-the-release. Given, that I'll be offline for 3 weeks (starting
March 20), it will last until mid of April or so.

Best regards, Michael.